function [T1] = Tjednicka(obr,pormap)
% vstupem funkce je sada obrazů s různými repetičnimi časy
% druhým vstupem je pak binarní maska, zvolená uživatel
% tedy maska, ve které se bude počítat relaxační mapa

repetit = [107 223 356 508 688 908 1190 1585 2246 5000]; % repetiční časy
zmenseny = pormap;
pomoc = length(obr(1,1,1:10));
velikost=size(obr,1);
data=zeros(1,velikost);
h = waitbar(0,'Čekejte...');
krok = velikost;
T1 = zeros(256,256);

for i = 1:velikost
    for j = 1:velikost
        waitbar(i / krok)
        if zmenseny(i,j)==1
            for k = 1:pomoc
                data(1,k) = obr(i,j,k);
                data(data==0) = []; % odmazání nulových hodnot
            end
            %options = optimset('MaxIter',20);
            TR = repetit(1:10); % vyber TR
            T10 = [5e6 500]; % inicializační hodnoty
            [fithod] = lsqcurvefit(@SR,T10,TR,data,[0 0],[6e10 2500]);
            T1(i,j) = fithod(2);
        else
            T1(i,j)=0;
        end
    end
end
close(h)
end

%% funkce pro SR
function f = SR(x,TR)
f = x(1).*(1-exp(-TR./x(2)));
end

 
 